QT Creator benötigit einen Compiler zum erstellen des Projektes.



  • Infos:

    BS: Windows 7, 64 Bit
    QT Creator: Qt 5.1.1 for Windows 64-bit (VS 2012, 525 MB)

    Hallo, bin hier neu im Forum.
    Mach gerade mein Fach-abi in Informationstechnik 12. Klasse.
    Wollte jetzt QT-Creator auf meinem neuen Windows 7/64 Bit System benutzen.
    Installieren hat ohne problem geklappt, allerdings kommt folgende fehlermeldung sobald ich ein geschriebenes programm ausführen möchte:
    QT Creator benötigit einen Compiler zum erstellen des Projektes. Bitte richten Sie einen Compiler in den Kit-Einstellungen ein.

    In der Einstellun von Kits stht jetzt folgendes:
    Automatisch bestimmt: Desktop QT 5.1.1 MSVC2012 64 Bit(Vorgabe)
    Davor steht noch ein Ausrufezeichen.

    Beim nächsten Reiter Qt Versionen steht:
    C:\Qt\Qt5.1.1\5.1.1\msvc2012_64\bin\qmake.exe

    Und beim Compiler ist nichts eingetragen ?

    Welche einstllungen muss ich jetzt noch vornehmen ?
    Für jede Hilfe bin ich dankbar.



  • Im Kit kannst Du einen Compiler auswählen, wenn dieser im Reiter Compiler zur Verfügung steht. Die von Dir gewählte QtCreator Variante setzt IMHO ein installiertes Visual Studio voraus.
    Ist dies der Fall?
    Wenn ja, sind unter Compiler die aus dem Visual Studio eingetragen?


  • Moderators

    Willkommen in devnet

    Wie von hardcodes.de angegeben, setzt die installierte Version von MSVC2012 voraus.

    Die MinGW-version sollte auch einen Compiler (MinGW) enthalten. Damit ist der Start mit Qt vielleicht etwas einfacher, wenn du noch keinen MSVC installiert hast.

    Die 32-bit Version läuft auch auf einem 64 bit Rechner. Wechseln auf 64bit kannst Du später durch rekompilieren, wenn es nötig ist.


  • Moderators

    MSVC und die Microsoft debugging tools dürfen wir leider nicht mit in den Installer packen. Daher musst Du die leider extra installieren (am einfachsten wohl über das windows SDK, da sollte mittlerweile alles nötige drin sein und es kostet nichts).

    Die Mingw-Version von Qt hat einen Kompiler mit drin, den gcc dürfen wir zum Glück mitliefern.

    Bitte achte darauf, dass unter windows alle versionen von MSVC zueinander inkompatibelen Code erzeugen. Ein MSVC 2010-Qt wird also nicht mit einem MSVC 2012 Compiler funktionieren. Natürlich sind auch MSVC und mingw zueinander inkompatibel. Mit mingw ist es i.d.R. etwas besser, aber auch dort kannst Du in Schwierigkeiten kommen, wenn Du verschiedene Versionen (oder Distributionen der selben Version!) mischst.


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.